Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
package-licenses
/
{uuid}
GetPackageLicense
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-licenses/{uuid}
{
  "context": {
    "id": "<string>",
    "type": "CONTEXT_TYPE_UNSPECIFIED",
    "tags": [
      "<string>"
    ],
    "will_be_deleted_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "all_licenses": [
      {
        "license_description": "<string>",
        "additional_files": {},
        "confidence": 123,
        "copyrights": [
          "<string>"
        ],
        "file_location": 123,
        "file_name": "<string>",
        "hash": "<string>",
        "llm": "<string>",
        "mapping_info": {
          "confidence": 123,
          "mapping_info": "LICENSE_MAPPING_INFO_UNSPECIFIED",
          "notes": "<string>",
          "source": "<string>"
        },
        "matched_text": "<string>",
        "notices_file": true,
        "spdx_expr": "<string>",
        "spdx_id": "<string>",
        "type": "<string>",
        "url": "<string>"
      }
    ],
    "code_licenses": [
      {
        "license_description": "<string>",
        "additional_files": {},
        "confidence": 123,
        "copyrights": [
          "<string>"
        ],
        "file_location": 123,
        "file_name": "<string>",
        "hash": "<string>",
        "llm": "<string>",
        "mapping_info": {
          "confidence": 123,
          "mapping_info": "LICENSE_MAPPING_INFO_UNSPECIFIED",
          "notes": "<string>",
          "source": "<string>"
        },
        "matched_text": "<string>",
        "notices_file": true,
        "spdx_expr": "<string>",
        "spdx_id": "<string>",
        "type": "<string>",
        "url": "<string>"
      }
    ],
    "copyrights": {},
    "declared_code_licenses": [
      {
        "license_description": "<string>",
        "additional_files": {},
        "confidence": 123,
        "copyrights": [
          "<string>"
        ],
        "file_location": 123,
        "file_name": "<string>",
        "hash": "<string>",
        "llm": "<string>",
        "mapping_info": {
          "confidence": 123,
          "mapping_info": "LICENSE_MAPPING_INFO_UNSPECIFIED",
          "notes": "<string>",
          "source": "<string>"
        },
        "matched_text": "<string>",
        "notices_file": true,
        "spdx_expr": "<string>",
        "spdx_id": "<string>",
        "type": "<string>",
        "url": "<string>"
      }
    ],
    "license_text": {},
    "package_manager_licenses": [
      {
        "license_description": "<string>",
        "additional_files": {},
        "confidence": 123,
        "copyrights": [
          "<string>"
        ],
        "file_location": 123,
        "file_name": "<string>",
        "hash": "<string>",
        "llm": "<string>",
        "mapping_info": {
          "confidence": 123,
          "mapping_info": "LICENSE_MAPPING_INFO_UNSPECIFIED",
          "notes": "<string>",
          "source": "<string>"
        },
        "matched_text": "<string>",
        "notices_file": true,
        "spdx_expr": "<string>",
        "spdx_id": "<string>",
        "type": "<string>",
        "url": "<string>"
      }
    ],
    "project_uuid": "<string>",
    "version": {
      "ref": "<string>",
      "metadata": {},
      "sha": "<string>"
    }
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

context
object
required

Contexts keep objects from different scans separated.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object
required

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the package license.